<?php



require_once 'Classes/General/Date.php';



/**
 * This class represents a range of dates, from date to date
 **/

class DateRange
{
  public function __construct( $s_from_dmy = '', $s_to_dmy = '' )
  {
    $this->from_date = new Date( $s_from_dmy );
    $this->to_date = new Date( $s_to_dmy );
  }

  public function SetFromDate( $s_from_date ) { $this->from_date = $s_from_date; }
  public function GetFromDate() { return $this->from_date; }

  public function SetToDate( $s_to_date ) { $this->to_date = $s_to_date; }
  public function GetToDate() { return $this->to_date; }

  private $from_date;
  private $to_date;
};





?>