<?php



/**
 * This class represents a directory, it needs you to give it the path
 * you can get it to
 * - list the files under that directory
 * - check that it exists and is a directory
 * - make the directory, if the parent directory exists
 **/

class Dir
{
  // PUBLIC

  public function __construct( $s_path = '' ) { $this->SetPath( $s_path ); }

  public function SetPath( $s_path ) { $this->path = $s_path; }
  public function GetPath() { return $this->path; }

  public function Create() { mkdir( $this->path ); }
  public function Remove() { rmdir( $this->path ); }

  public function IsDir() { return is_dir($this->path); }

  public function ListFiles()
  {
    $file_list = Array();

    $dirhandler = opendir( $this->path );
    if( $dirhandler !== false )
    {
      while( ( $next_file = readdir( $dirhandler ) ) !== false )
      {
	$file_list[] = $next_file;
      }
      closedir( $dirhandler );
    }

    return $file_list;
  }

  // PRIVATE

  private $path;
};









?>