<?php



require_once GREEN_ZONE_DIR . 'Utils/GZ_Exception.php';



/**
 * @class GZ_Logger
 * 
 * This class simply stores the path to the log file and receives
 * calls to log new messages to that file
 **/
class GZ_Logger
{
  // PUBLIC
      
  public function __construct( $s_logfilename = null )
  {
    $this->SetLogFilename( $s_logfilename );
  }
  
  public function SetLogFilename( $s_logfilename ) { $this->log_filename = $s_logfilename; }
  
  public function LogMessage( $username, $action, $param1, $param2, $param3 )
  {
    $date = date("n Y");

    list($month, $year) = split(' ', $date);

    $string = "\"" . date('d-m-y') . "\"\t\"" .
        date( 'h:i:s') . "\"\t\"" .
        $username . "\"\t\"" .
        $action . "\"\t\"" .
        $param1 . "\"\t\"" .
        $param2 . "\"\t\"" .
        $param3 . "\"\n";

    if (!file_exists($this>log_filename)) {
      touch($this->log_filename);
    }

    if (is_writable($this->log_filename)) {
      if (!$handle = fopen($this->log_filename, "a+")) {
	      //echo "Cannot open log file ($filename)<br>\n";
      }
      else {

        if (fwrite($handle, $string) === FALSE) {
		//echo "Cannot write to log file $file<br>\n";
        }

        fclose($handle);
      }
    }
    else {
      //echo "Cannot write to log file ($filename)<br>\n";
    }
  }
  
  // PRIVATE
      
  private $log_filename;
};


?>