<?php

/**
 * Written by David Smith
 * nopeer@gmail.com
 *
 * For ATNF CSIRO
 *
 * This file defines some basic configuration parameters
 * - use the DEBUG constant for debugging output, set to 0 on production server
 * - Where smarty is and the directories it uses for templates and compiling
 * - The database parameters username,password etc
 **/




define( 'DEBUG', '1' );

define( 'SMARTY_DIR', './smarty/libs/' );
define( 'SMARTY_TEMPLATES_DIR', './templates/' );
define( 'SMARTY_COMPILE_DIR', './templates_c/' );

require_once SMARTY_DIR . 'Smarty.class.php';

define ( 'DB_HOST', 'localhost' );
define ( 'DB_USER', 'pulsar' );
define ( 'DB_PASSWD', 'lighthouse' );
define ( 'DB_NAME', 'psrchive' );

define ( 'GREEN_ZONE_DIR', './GreenZone/' );

define( 'PSRHOME', '/usr/local/work/psrhome' );
define( 'FIX_LD_LIB', 'env PSRHOME=' . PSRHOME . ' ' );
define( 'PAV_CMD', PSRHOME . '/bin/pav' );
define( 'PSRCAT_CMD', PSRHOME, '/bin/psrcat' );
define( 'VAP_CMD', PSRHOME . '/bin/vap' );
define( 'PSRADD_CMD', '/bin/psradd' );
define( 'PSRSH_CMD', '/bin/psrsh' );


?>
