<?php



require_once GREEN_ZONE_DIR . 'Utils/GZ_Exception.php';



class ScrunchingParameters
{
  // PUBLIC
      
  public function __construct()
  {
    $this->pscrunch = null;          // polarization scrunching is either on or off
    $this->tscrunch = null;          // this is the number of subints to scrunch together
    $this->fscrunch = null;          // this is the number of channels to scrunch together
  }
  
  public function PScrunch() { $this->pscrunch = true; }
  public function TScrunch( $value ) { $this->tscrunch = $value; }
  public function FScrunch( $value ) { $this->fscrunch = $value; }
  
  public function GetPScrunch() { return $this->CheckParameter('pscrunch'); }
  public function GetTScrunch() { return $this->CheckParameter('tscrunch'); }
  public function GetFScrunch() { return $this->CheckParameter('fscrunch'); }
  
  // PRIVATE
      
  private $pscrunch;
  private $tscrunch;
  private $fscrunch;
  
  //! Retrieve a parameter, throw an exception if it hasn't been set yet.
  private function CheckParameter( $param )
  {
    eval( '$value = $this->' . $param . ';' );
    if( $value == null )
      throw new GZ_Exception( 'Failed Parameter Check',
                              'ScrunchingParameters::CheckParameter' );
    return $param;
  }
};

?>