<?php



class GZ_Pager
{
  // PUBLIC
      
  public function __construct()
  {
    $this->items_per_page = 1;
  }
  
  public function SetItemsPerPage( $s_items_per_page ) { $this->items_per_page = $s_items_per_page; }
   
  public function GetNumPages()
  {
    $num_items = $this->target->GetNumItems();
    $this->num_pages = ceil( $num_items / $this->items_per_page );
    
    return $this->num_pages; 
  }
  
  public function SetTarget( $s_target ) { $this->target = $s_target; }
  
  public function SetPage( $page_num ) 
  {
    $range = new Pair();
    $range->first = $this->items_per_page * ($page_num-1);
    $range->second = ($this->items_per_page * $page_num) - 1;
    
    $this->target->SetRange( $range );
  }
  
  // PRIVATE
      
  private $items_per_page;
  private $num_pages;
  private $target;
};

?>